import request from '@/config/axios'

export interface DemoVO {
  id: number
  code: string
  name: string
  icon: string
  orderNum: number
  status: number
  remark: string
  createTime: Date
}

// 查询列表
export const getDemoPage = (params: PageParam) => {
  return request.get({ url: '/sms/demo/page', params })
}

// 获得
export const getDemo = (id: number) => {
  return request.get({ url: '/sms/demo/get?id=' + id })
}

// 查询应用列表
export const getDemoList = () => {
  return request.get({ url: '/sms/demo/list' })
}

// 新增
export const createDemo = (data: DemoVO) => {
  return request.post({ url: '/sms/demo/create', data })
}

// 修改
export const updateDemo = (data: DemoVO) => {
  return request.put({ url: '/sms/demo/update', data })
}

// 删除
export const deleteDemo = (id: number) => {
  return request.delete({ url: '/sms/demo/delete?id=' + id })
}

// 导出
export const exportDemo = (params: DemoVO) => {
  return request.download({ url: '/sms/demo/export-excel', params })
}
